package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum CxrzStatusEnum {
    /**
     * 撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败
     */

    A("0", "未申请"), B("1", "已申请撤销"), C("2", "撤销认证发送中"), D("4", "撤销认证成功"), E("5", "撤销认证失败");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (CxrzStatusEnum materialEnum : CxrzStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
